import Vue from 'vue' // 引入vue
import App from './App.vue' // 引入App.vue
import {initRouter} from './router' // 引入初始化路由方法 
import './theme/index.less' // 引入主题样式 less
import Antd from 'ant-design-vue' // 引入ant-design-vue 组件库
import Viser from 'viser-vue' // 引入viser-vue 用于图表
// import '@/mock' // 引入mock模拟数据
import store from './store' // 引入vuex store 实例 
import 'animate.css/source/animate.css' // 引入animate.css 动画库
import Plugins from '@/plugins' // 引入插件
import {initI18n} from '@/utils/i18n' // 引入国际化方法
import bootstrap from '@/bootstrap' // 引入启动引导方法
import 'moment/locale/zh-cn' // 引入moment 本地化 
import VXETable from 'vxe-table'
import 'vxe-table/lib/style.css'
import VueCropper from 'vue-cropper'
import {hiPrintPlugin} from 'vue-plugin-hiprint'
 
Vue.use(hiPrintPlugin)
 hiPrintPlugin.disAutoConnect();

const router = initRouter(store.state.setting.asyncRoutes) // 初始化路由 加载动态路由
const i18n = initI18n('CN', 'US') // 初始化国际化 加载中英文 语言包

Vue.use(VXETable)
Vue.use(Antd) // 注册ant-design-vue 组件库
Vue.config.productionTip = false // 关闭生产模式下给出的提示
Vue.use(Viser) // 注册viser-vue 组件库 
Vue.use(Plugins) // 注册插件 
Vue.use(VueCropper)

bootstrap({router, store, i18n, message: Vue.prototype.$message}) // 启动引导方法


import application from './application';  
import './application/mk/style/main.css';
Vue.use(application);

new Vue({
  router, // 注入路由
  store, // 注入vuex store
  i18n, // 注入国际化
  render: h => h(App), // 渲染App.vue
}).$mount('#app') // 挂载到#app
